/* 
	MCV-2313
		MIDI to CV converter 

	ATTiny2313 related I/O port definition Header

	$RCSfile$
	$Revision: 143 $
	$Author  Satoshi "Chuck" Takagi $
	$Date: 2008-12-30 06:22:53 +0900 (火, 30 12 2008) $
 */

#define CV0 OCR0B
#define CV1 OCR0A
#define CV2 OCR1A
#define CV3 OCR1B
#define CVCALC(X)	(255 - 2*(X))
#define BENDCALC(X)	(255 - (X))
#define G0PORT PORTD
#define G1PORT PORTD
#define G2PORT PORTB
#define G3PORT PORTB
#define GATE0 PD4
#define GATE1 PD6
#define GATE2 PB0
#define GATE3 PB1
#define GATE0OFF	(G0PORT |= (1<<GATE0))
#define GATE0ON		(G0PORT &= ~(1<<GATE0))
#define GATE1OFF	(G1PORT |= (1<<GATE1))
#define GATE1ON		(G1PORT &= ~(1<<GATE1))
#define GATE2OFF	(G2PORT |= (1<<GATE2))
#define GATE2ON		(G2PORT &= ~(1<<GATE2))
#define GATE3OFF	(G3PORT |= (1<<GATE3))
#define GATE3ON		(G3PORT &= ~(1<<GATE3))


